var name_db = 'mhcat90'; // Nombre de la base de datos
Ti.App.name_db = name_db; // Guarda el nombre de la base de datos en una variable global
Titanium.Database.install('/db/mhcat.sqlite', name_db); // Instala la base de datos si no lo está
var locale = new configLocale().getLocale();
Ti.App.locale = locale;

//Esta variable es para detectar si el dispositivo tiene una alta densidad
var ishigh = false;
var units = 'dip';

if(Titanium.Platform.displayCaps.density == 'high') {
    ishigh = true;
}
Ti.App.ishigh = ishigh;
Ti.App.units = units;

name_db = null;
locale = null;
ishigh = null;
units = null;

Ti.App.hashCheckUpdates = {};
Ti.App.checkUpdatesIsOpened = false;
Ti.App.addEventListener('checkingUpdates', function(e) {

    var hashCheckUpdates = Ti.App.hashCheckUpdates;
    hashCheckUpdates[e.identifier] = e.openClose;

    var openCheckUpdates = false;
    var countCloses = 0;
    var sizeHash = 0;
    for(var k in hashCheckUpdates) {
        if(hashCheckUpdates[k] === 1) {
            openCheckUpdates = true;
        } else {
            countCloses++;
        }
        sizeHash++;
    }

    if(openCheckUpdates && !Ti.App.checkUpdatesIsOpened) {
        //Open checking updates
        //Set dimensions of window
        var pWidth = Ti.Platform.displayCaps.platformWidth;
        var pHeight = Ti.Platform.displayCaps.platformHeight;
        if(pWidth > pHeight) {
            pWidth = Ti.Platform.displayCaps.platformHeight;
            pHeight = Ti.Platform.displayCaps.platformWidth;
        }
        Ti.App.view_indicator = Ti.UI.createView({
            zIndex: 1000,
            height: pHeight,
            width: pWidth
        });
        Ti.App.act_checking_updates = Ti.UI.createActivityIndicator({
            bottom: 10,
            color: 'white',
            font: {
                fontFamily: 'Arial',
                fontSize: 15 + Ti.App.units,
                fontWeight: 'bold'
            },
            message: L(Ti.App.locale + "_checking_updates")
        });

        Ti.App.act_checking_updates.show();
        Ti.App.view_indicator.add(Ti.App.act_checking_updates);
        Ti.App.view_indicator.show();
        e.curr_window.add(Ti.App.view_indicator);
        Ti.App.checkUpdatesIsOpened = true;
    } else if( countCloses == sizeHash ) {
        //Close checking updates
        Ti.App.act_checking_updates.hide();
        Ti.App.view_indicator.hide();
        Ti.App.checkUpdatesIsOpened = false;
    }

});