Titanium.include('/db/db.js');

var w = Titanium.UI.currentWindow;

//Set dimensions of window
var pWidth = Ti.Platform.displayCaps.platformWidth;
var pHeight = Ti.Platform.displayCaps.platformHeight;
if(pWidth > pHeight) {
	pWidth = Ti.Platform.displayCaps.platformHeight;
	pHeight = Ti.Platform.displayCaps.platformWidth;
}

//Start TOP-BAR
var topbar = Titanium.UI.createView({
   backgroundColor:'#000',
   backgroundImage:'/images/bg_header.gif',
   top:0 + Ti.App.units,
   width:pWidth,
   height:36 + Ti.App.units
});
var logo_mhcat = Titanium.UI.createImageView({
	image:'/images/logo_mhcat.png',
	height:24 + Ti.App.units,
	width:24 + Ti.App.units,
	top:5 + Ti.App.units,
	left:5 + Ti.App.units
});
topbar.add(logo_mhcat);

w.add(topbar);
//End TOP-BAR

var button_close = Titanium.UI.createButton({
	height:31 + Ti.App.units,
	width:32 + Ti.App.units,
	backgroundImage:'/images/bt_close.png',
	top:38 + Ti.App.units,
	right:2 + Ti.App.units
});
w.add(button_close);

/* Content */
w.add(Ti.UI.createLabel({	text:L(Ti.App.locale+"_credits"),
							color:'#000',
							font:{fontSize:Ti.App.ishigh ? 30 : 20,fontFamily:'Arial'},
							top:50 + Ti.App.units,
							left:10 + Ti.App.units
						}));
w.add(Ti.UI.createWebView({ html:'<span style="font-family:arial;font-size:12px;font-weight:bold;">'+L(Ti.App.locale+"_cred_1")+'</span> <span style="font-family:arial;font-size:12px;">'+L(Ti.App.locale+"_cred_2")+'</span>',
							color:'#000',
							font:{fontSize:Ti.App.ishigh ? 12 : 12,fontFamily:'Arial'},
							top:80 + Ti.App.units,
							left:0 + Ti.App.units,
							width:pWidth - 20,
							showScrollbars:false,
							willHandleTouches:false,
							enableZoomControls:false,
							scalesPageToFit:false,
							touchEnabled:false,
							height:60 + Ti.App.units
						}));
w.add(Ti.UI.createView({	height:1 + Ti.App.units,
							top:155 + Ti.App.units,
							left:10 + Ti.App.units,
							width:pWidth - 20,
							backgroundColor:'#CCC'
						}));
w.add(Ti.UI.createImageView({	image:"/images/credit_logos.jpg",
								top:160 + Ti.App.units,
								width:pWidth - 20,
								left:10 + Ti.App.units
						}));
w.add(Ti.UI.createView({	height:1 + Ti.App.units,
							top:210 + Ti.App.units,
							left:10 + Ti.App.units,
							width:pWidth - 20,
							backgroundColor:'#CCC'
						}));
w.add(Ti.UI.createLabel({	text:L(Ti.App.locale+"_cred_3"),
							color:'#000',
							font:{fontSize:Ti.App.ishigh ? 18 : 12,fontFamily:'Arial',fontWeight:'bold'},
							top:230 + Ti.App.units,
							left:10 + Ti.App.units
						}));
w.add(Ti.UI.createLabel({	text:L(Ti.App.locale+"_cred_4"),
							color:'#000',
							font:{fontSize:Ti.App.ishigh ? 18 : 12,fontFamily:'Arial'},
							top:245 + Ti.App.units,
							left:10 + Ti.App.units
						}));
w.add(Ti.UI.createLabel({	text:L(Ti.App.locale+"_cred_5"),
							color:'#000',
							font:{fontSize:Ti.App.ishigh ? 18 : 12,fontFamily:'Arial',fontWeight:'bold'},
							top:280 + Ti.App.units,
							left:10 + Ti.App.units
						}));
w.add(Ti.UI.createLabel({	text:L(Ti.App.locale+"_cred_6"),
							color:'#000',
							font:{fontSize:Ti.App.ishigh ? 18 : 12,fontFamily:'Arial'},
							top:295 + Ti.App.units,
							left:10 + Ti.App.units
						}));
w.add(Ti.UI.createLabel({	text:L(Ti.App.locale+"_cred_7"),
							color:'#000',
							font:{fontSize:Ti.App.ishigh ? 18 : 12,fontFamily:'Arial',fontWeight:'bold'},
							top:330 + Ti.App.units,
							left:30 + Ti.App.units
						}));
w.add(Ti.UI.createLabel({	text:L(Ti.App.locale+"_cred_8"),
							color:'#000',
							font:{fontSize:Ti.App.ishigh ? 18 : 12,fontFamily:'Arial'},
							top:345 + Ti.App.units,
							left:30 + Ti.App.units
						}));
w.add(Ti.UI.createLabel({	text:L(Ti.App.locale+"_cred_9"),
							color:'#000',
							font:{fontSize:Ti.App.ishigh ? 18 : 12,fontFamily:'Arial',fontWeight:'bold'},
							top:380 + Ti.App.units,
							left:30 + Ti.App.units
						}));
w.add(Ti.UI.createLabel({	text:L(Ti.App.locale+"_cred_10"),
							color:'#000',
							font:{fontSize:Ti.App.ishigh ? 18 : 12,fontFamily:'Arial'},
							top:395 + Ti.App.units,
							left:30 + Ti.App.units
						}));

/* End content */
function closewindow(){
	w.close({animated:true});
	topbar.remove(logo_mhcat);
	w.remove(button_close);
	w.remove(topbar);
	topbar = null;
	logo_mhcat = null;
	button_close = null;
	webview = null;
	w = null;
}

button_close.addEventListener('click', function(e){
	closewindow();
});

w.addEventListener('android:back', function(){closewindow();});