Titanium.include('/db/db.js');

var w = Titanium.UI.currentWindow;
//var node_id = w.eventparam;
//var monument = new ConfigReader().readMonument(node_id);

//Set dimensions of window
var pWidth = Ti.Platform.displayCaps.platformWidth;
var pHeight = Ti.Platform.displayCaps.platformHeight;
if(pWidth > pHeight) {
	pWidth = Ti.Platform.displayCaps.platformHeight;
	pHeight = Ti.Platform.displayCaps.platformWidth;
}

w.orientationModes = [Titanium.UI.PORTRAIT];

var monument = w.monument;

//Start TOP-BAR
var topbar = Titanium.UI.createView({
   backgroundColor:'#000',
   backgroundImage:'/images/bg_header.gif',
   top:'0dip',
   width:'100%',
   height:'36dip'
});
var logo_mhcat = Titanium.UI.createImageView({
	image:'/images/logo_mhcat.png',
	height:'24dip',
	width:'24dip',
	top:'5dip',
	left:'5dip'
});
var title = Titanium.UI.createLabel({
	color:'#FFF',
	text:monument.name,
	font:{fontSize:10,fontFamily:'Arial'},
	top:'10dip',
	left:'34dip'
});
topbar.add(logo_mhcat);
topbar.add(title);
w.add(topbar);
//End TOP-BAR

//Start view for background image
var dirFullPath = Ti.Filesystem.resourcesDirectory + Ti.Filesystem.separator + 'monumentsi' + Ti.Filesystem.separator + monument.node_id + Ti.Filesystem.separator + 'bg_image';
var dir = Titanium.Filesystem.getFile(dirFullPath);
var dirItems = dir.getDirectoryListing();

for ( var i=0; i<dirItems.length; i++ ){
    var itemFullPath = '/monumentsi/' + monument.node_id + '/bg_image/' + dirItems[i].toString();
}
var bg_image = Titanium.UI.createView({
	top:'36dip',
	left:-pWidth,
	width: pWidth * 2,
	height: pHeight,
	backgroundImage:itemFullPath
});
w.add(bg_image);
//End view for background image

//Start Top-Button
var button_what = Titanium.UI.createView({
	color:'#000',
	top:'50dip',
	left:'0dip',
	width:'106dip',
	height:'41dip',
	backgroundImage:'/images/bt_what.png'
});
var label_what = Titanium.UI.createLabel({
	color:'#ECECEC',
	text:L(Ti.App.locale+"_what"),
	font:{fontSize:11,fontFamily:'Arial'},
	textAlign:'center',
	width:'90%',
	top:'12dip'
});
button_what.add(label_what);
w.add(button_what);
button_what.addEventListener('click', function(e){
	box_content.show();
});
//End Top-Button

//Start LEFT-BUTTONS
var left_left_buttons = 5;
var width_left_buttons = 60;
var button_activities = Titanium.UI.createView({
	width:'61dip',
	height:'57dip',
	left:'5dip',
	top:'100dip',
	backgroundImage:'/images/bg_bt_gallery.png',
	defaultBackground:'/images/bg_bt_gallery.png',
	activeBackground:'/images/bg_bt_gallery_active.png'
});
var label_activities = Titanium.UI.createLabel({
	color:'#ECECEC',
	text:L(Ti.App.locale+"_act"),
	font:{fontSize:11,fontFamily:'Arial'},
	textAlign:'center',
	width:'90%',
	top:'35dip'
});
button_activities.add(label_activities);

var button_gallery = Titanium.UI.createView({
	width:'61dip',
	height:'57dip',
	left:'4dip',
	top:'167dip',
	backgroundImage:'/images/bg_bt_gallery.png',
	defaultBackground:'/images/bg_bt_gallery.png',
	activeBackground:'/images/bg_bt_gallery_active.png'
});
var label_gallery = Titanium.UI.createLabel({
	color:'#ECECEC',
	text:L(Ti.App.locale+"_gallery"),
	font:{fontSize:11,fontFamily:'Arial'},
	textAlign:'center',
	width:'90%',
	top:'35dip'
});
button_gallery.add(label_gallery);

w.add(button_activities);
w.add(button_gallery);

button_activities.addEventListener('click', function(e){
	var activities_list = Titanium.UI.createWindow({
		url:'/windows/activities_list.js',
		backgroundColor:'#fff',
		navBarHidden : true,
		eventparam:monument.node_id
	});
	activities_list.open({animated: true});
});
button_gallery.addEventListener('click', function(e){
	var gallery_list = Titanium.UI.createWindow({
		url:'/windows/gallery_list.js',
		backgroundColor:'#000',
		navBarHidden : true,
		monument:monument
	});
	gallery_list.open({animated: true});
});
//End LEFT-BUTTONS

//Start BACK-BUTTON
var button_back = Titanium.UI.createView({
	color:'#fff',
	bottom:'5dip',
	left:'5dip',
	height:'28dip',
	width:'60dip',
	backgroundImage:'/images/bg_bt_back.png'
});
var label_back_black = Titanium.UI.createLabel({
	color:'#000',
	text:L(Ti.App.locale+"_back"),
	font:{fontSize:Ti.App.ishigh ? 18 : 11,fontFamily:'Arial'},
	textAlign:'center',
	width:'50dip',
	left:'10dip',
	top:'4dip'
});
var label_back = Titanium.UI.createLabel({
	color:'#fff',
	text:L(Ti.App.locale+"_back"),
	font:{fontSize:Ti.App.ishigh ? 18 : 11,fontFamily:'Arial'},
	textAlign:'center',
	width:'50dip',
	left:'10dip',
	top:'5dip'
});
button_back.add(label_back_black);
button_back.add(label_back);
button_back.addEventListener('click', function(e){
	closewindow();
});
w.add(button_back);
//End BACK-BUTTON

//Start box content
var width_content = pWidth - 10;
var heigh_content = pHeight - 140;
var box_content = Titanium.UI.createView({
	width: width_content + 'dip',
	height: heigh_content + 'dip',
	left:'5dip',
	top:'91dip',
	opacity:0.9,
	borderRadius:10,
	backgroundColor:'#E2E2E2'
});
var box_content_title = Titanium.UI.createLabel({
	color:'#000',
	left:'5dip',
	text:L(Ti.App.locale+"_what"),
	width: width_content - 5 +'dip',
	font:{fontSize:15,fontFamily:'Arial',fontWeight:'bold'},
	textAlign:'center',
	top:'10dip'
});
var scrollView = Titanium.UI.createScrollView({
    contentWidth:'auto',
    contentHeight:'auto',
    top:'40dip',
    height: heigh_content - 60 + 'dip',
    showVerticalScrollIndicator:true
});
var box_content_html = Titanium.UI.createLabel({
	color:'#000',
	left:'10dip',
	html:monument.description,
	width: width_content - 20 + 'dip',
	top:'0dip'
});
var button_close = Titanium.UI.createButton({
	height:'31dip',
	width:'32dip',
	backgroundImage:'/images/bt_close.png',
	top:'2dip',
	right:'2dip'
});
button_close.addEventListener('click', function(e){
	box_content.hide();
});
w.add(box_content);
box_content.hide();
box_content.add(box_content_title);
scrollView.add(box_content_html);
box_content.add(scrollView);
box_content.add(button_close);
//End box content

w.addEventListener('android:back', function(){
	var detail_window = Ti.UI.createWindow({
		url:'/windows/detail.js',
		backgroundColor:'#fff',
		navBarHidden : true,
		eventparam:monument.node_id
	});
	detail_window.open();
	closewindow();
});

function closewindow(){
	w.close({animated:true});
	topbar.remove(logo_mhcat);
	topbar.remove(title);
	w.remove(topbar);
	logo_mhcat = null;
	title = null;
	topbar = null;
	dirFullPath = null;
	dir = null;
	dirItems = null;
	itemFullPath = null;
	w.remove(bg_image);
	button_what.remove(label_what);
	w.remove(button_what);
	button_activities.remove(label_activities);
	button_gallery.remove(label_gallery);
	w.remove(button_activities);
	w.remove(button_gallery);
	button_back.remove(label_back);
	w.remove(button_back);
	w.remove(box_content);
	box_content.remove(box_content_title);
	scrollView.remove(box_content_html);
	box_content.remove(scrollView);
	box_content.remove(button_close);
	bg_image = null;
	label_what = null;
	button_what = null;
	label_activities = null;
	label_gallery = null;
	button_activities = null;
	button_gallery = null;
	label_back = null;
	button_back = null;
	box_content = null;
	box_content_title = null;
	box_content_html = null;
	scrollView = null;
	button_close = null;
	w = null;
}